import request from '@/utils/request'

// 新增
export function addChannel(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'post',
        data: data
    })
}
// 修改
export function updataChannel(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'put',
        data: data
    })
}
// 删除
export function delChannel(deptId) {
    return request({
        url: '/dxtop/topChannel/' + deptId,
        method: 'delete',
    })
}
// 查询
export function listChannel(query) {
    return request({
        url: '/dxtop/topChannel/page',
        method: 'get',
        params: query
    })
}